unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids, DBGrids, Db, DBTables;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.Button1Click(Sender: TObject);
begin
 with Table1 do
  begin
   Active := False;
   TableName := Edit1.Text;
   FieldDefs.Clear;
   with FieldDefs.AddFieldDef do
    begin
     Name := 'Field1';
     DataType := ftAutoInc;
     Required := True;
    end;
   with FieldDefs.AddFieldDef do
    begin
     Name := 'Field2';
     DataType := ftInteger;
    end;
   with FieldDefs.AddFieldDef do
    begin
     Name := 'Field3';
     DataType := ftString;
     Size := 30;
    end;
  CreateTable;
  Active:=true;
 end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 with Table1 do
  begin
   Active := False;
   IndexDefs.Clear;
   with IndexDefs.AddIndexDef do
    begin
     Name := '';
     Fields := 'Field1';
     Options := [ixPrimary];
    end;
   with IndexDefs.AddIndexDef do
    begin
     Name := 'Fld2Indx';
     Fields := 'Field3';
     Options := [ixCaseInsensitive];
    end;
   Active := true;
  end;
end;

end.
